searchNodes=[{"doc":"High Dynamic Range (HDR) Histogram allows the recording of values across a configurable range at a configurable precision. Storage requirement is fixed (and depends on how the histogram is configured). All functions are fully executed within the calling process (not serialized through a single process) as the data is stored within write-optimized ETS table. Each recording consists of as single call to :ets.update_counter . Read operations consiste of a single :ets.lookup and are subsequently processed on that copy of the data (again, within the calling process). The fist step involves creating a registry: defmodule MyApp.Stats do use Histogrex histogrex :load_user , min : 1 , max : 10_000_000 , precision : 3 histogrex :db_save_settings , min : 1 , max : 10_000 , precision : 2 ... end And then adding this module as a worker to your application's supervisor tree: worker ( MyApp.Stats , [ ] ) You can then record values and make queries: alias MyApp.Stats Stats . record! ( :load_user , 233 ) Stats . record! ( :db_save_settings , 84 ) Stats . mean ( :load_user ) Stats . max ( :db_save_settings ) Stats . total_count ( :db_save_settings ) Stats . value_at_quantile ( :load_user , 99.9 )","ref":"Histogrex.html","title":"Histogrex","type":"module"},{"doc":"Deletes the histogram. The histogram can no longer be used.","ref":"Histogrex.html#delete/1","title":"Histogrex.delete/1","type":"function"},{"doc":"Deletes the histogram. Since this histogram was dynamically created through a template, you can safely continue using it.","ref":"Histogrex.html#delete/2","title":"Histogrex.delete/2","type":"function"},{"doc":"registers the histogram A min , max and precision must be supplied. min and max represent the minimal and maximal expected values. For example, if you're looking to measure how long a database call took, you could specify: min: 1, max: 10_000 and provide time in millisecond, thus allowing you to capture values from 1ms to 10sec. min must be greater than 0. max must be greater than min . precision must be between 1 and 5 (inclusive). Examples histogrex :user_list , min : 1 , max : 10000000 , precision : 3","ref":"Histogrex.html#histogrex/2","title":"Histogrex.histogrex/2","type":"macro"},{"doc":"","ref":"Histogrex.html#lowest_equivalent_value/2","title":"Histogrex.lowest_equivalent_value/2","type":"function"},{"doc":"","ref":"Histogrex.html#lowest_equivalent_value/3","title":"Histogrex.lowest_equivalent_value/3","type":"function"},{"doc":"Gets the approximate maximum value recorded. Works both with Iterator and Histogram","ref":"Histogrex.html#max/1","title":"Histogrex.max/1","type":"function"},{"doc":"","ref":"Histogrex.html#max/2","title":"Histogrex.max/2","type":"function"},{"doc":"Returns the mean value","ref":"Histogrex.html#mean/1","title":"Histogrex.mean/1","type":"function"},{"doc":"","ref":"Histogrex.html#mean/2","title":"Histogrex.mean/2","type":"function"},{"doc":"Gets the approximate minimum value recorded. Works both with Iterator and Histogram","ref":"Histogrex.html#min/1","title":"Histogrex.min/1","type":"function"},{"doc":"Creates a new histogrex object. Note that this only creates the configuration structure. It does not create the underlying ets table/entries. There should be no need to call this direction. Use the histogrex macro instead.","ref":"Histogrex.html#new/6","title":"Histogrex.new/6","type":"function"},{"doc":"Records the value n times where n defaults to 1. Return :ok on success or {:error, message} on failure. A larger than the 'max' specified when the histogram was created will cause an error. This is usually not called directly, but rather through the record/3 of your custom registry","ref":"Histogrex.html#record/3","title":"Histogrex.record/3","type":"function"},{"doc":"Records the value n times where n defaults to 1. Uses the template to create the histogram if it doesn't already exist. Return :ok on success or {:error, message} on failure. A larger than the 'max' specified when the histogram was created will cause an error. This is usually not called directly, but rather through the record/3 of your custom registry","ref":"Histogrex.html#record/4","title":"Histogrex.record/4","type":"function"},{"doc":"Same as record/3 but raises on error","ref":"Histogrex.html#record!/3","title":"Histogrex.record!/3","type":"function"},{"doc":"Same as record_template/4 but raises on error","ref":"Histogrex.html#record!/4","title":"Histogrex.record!/4","type":"function"},{"doc":"Reduce all of a registry's histograms","ref":"Histogrex.html#reduce/3","title":"Histogrex.reduce/3","type":"function"},{"doc":"Resets the histogram to 0 values. Note that the histogram is a fixed-size, so calling this won't free any memory. It is useful for testing.","ref":"Histogrex.html#reset/1","title":"Histogrex.reset/1","type":"function"},{"doc":"","ref":"Histogrex.html#reset/2","title":"Histogrex.reset/2","type":"function"},{"doc":"","ref":"Histogrex.html#template/2","title":"Histogrex.template/2","type":"macro"},{"doc":"Get the total number of recorded values. This is O(1)","ref":"Histogrex.html#total_count/1","title":"Histogrex.total_count/1","type":"function"},{"doc":"","ref":"Histogrex.html#total_count/2","title":"Histogrex.total_count/2","type":"function"},{"doc":"Gets the value at the requested quantile. The quantile must be greater than 0 and less than or equal to 100. It can be a float. Gets the value at the requested quantile using the given iterator. When doing multiple calculations, it is slightly more efficent to first recreate and then re-use an iterator (plus the values will consistently be calculated based on the same data). Iterators are automatically reset before each call. Gets the value at the requested quantile for the templated histogram","ref":"Histogrex.html#value_at_quantile/2","title":"Histogrex.value_at_quantile/2","type":"function"},{"doc":"","ref":"Histogrex.html#value_at_quantile/3","title":"Histogrex.value_at_quantile/3","type":"function"},{"doc":"","ref":"Histogrex.html#t:t/0","title":"Histogrex.t/0","type":"type"}]